com.sun.mirror.type

## Interface PrimitiveType

All Superinterfaces:
  TypeMirror

    public interface PrimitiveType
    extends TypeMirror

Represents a primitive type. These include `boolean`, `byte`, `short`, `int`, `long`, `char`, `float`, and `double`.

Since:
  1.5

### Nested Class Summary

Nested Classes
`static class` `PrimitiveType.Kind` An enumeration of the different kinds of primitive types.

### Method Summary

All Methods Instance Methods Abstract Methods
`PrimitiveType.Kind` `getKind()` Returns the kind of primitive type that this object represents.

### Methods inherited from interface com.sun.mirror.type.TypeMirror

`accept, equals, toString`

### Method Detail

#### getKind

    PrimitiveType.Kind getKind()

Returns the kind of primitive type that this object represents.

Returns:
  the kind of primitive type that this object represents